Cancel an outgoing wire
curl --request PATCH \
--url https://api-sandbox.synctera.com/v0/wires/{wire_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "CANCELED"
}
'import requests
url = "https://api-sandbox.synctera.com/v0/wires/{wire_id}"
payload = { "status": "CANCELED" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: 'CANCELED'})
};
fetch('https://api-sandbox.synctera.com/v0/wires/{wire_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.synctera.com/v0/wires/{wire_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'status' => 'CANCELED'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.synctera.com/v0/wires/{wire_id}"
payload := strings.NewReader("{\n \"status\": \"CANCELED\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api-sandbox.synctera.com/v0/wires/{wire_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"status\": \"CANCELED\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.synctera.com/v0/wires/{wire_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"status\": \"CANCELED\"\n}"
response = http.request(request)
puts response.read_body{
"amount": 10000,
"creation_time": "2010-05-06T12:23:34.321Z",
"currency": "USD",
"effective_date": "2022-03-18",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_bulk": true,
"last_updated_time": "2010-05-06T12:23:34.321Z",
"originating_account_number": 1961234745,
"receiving_account_number": 1961234745,
"sender_reference_id": "9F564A6124E65",
"status": "PENDING",
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bank_message": "<string>",
"batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"case_id": 53,
"customer_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"fed_input_message_accountability_data": "10220318BANK0001123456",
"input_message_accountability_data": "10220318BANK0001123456",
"network": "fedwire",
"originating_account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"receiving_account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"recipient_message": "<string>",
"return_data": {
"previous_message_id": "<string>",
"original_end_to_end_identification": "<string>",
"original_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"original_instruction_identification": "<string>",
"original_transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"original_transaction_identification": "<string>",
"original_uetr": "<string>",
"reason": "<string>",
"reason_code": "NARR"
},
"sanction_screening_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settlement_date": "2022-03-18",
"status_details": "PENDING_DUAL_APPROVAL",
"transaction_in_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Wires
Cancel an outgoing wire
Cancel an outgoing tranfer
PATCH
/
wires
/
{wire_id}
Cancel an outgoing wire
curl --request PATCH \
--url https://api-sandbox.synctera.com/v0/wires/{wire_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "CANCELED"
}
'import requests
url = "https://api-sandbox.synctera.com/v0/wires/{wire_id}"
payload = { "status": "CANCELED" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: 'CANCELED'})
};
fetch('https://api-sandbox.synctera.com/v0/wires/{wire_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.synctera.com/v0/wires/{wire_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'status' => 'CANCELED'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.synctera.com/v0/wires/{wire_id}"
payload := strings.NewReader("{\n \"status\": \"CANCELED\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api-sandbox.synctera.com/v0/wires/{wire_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"status\": \"CANCELED\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.synctera.com/v0/wires/{wire_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"status\": \"CANCELED\"\n}"
response = http.request(request)
puts response.read_body{
"amount": 10000,
"creation_time": "2010-05-06T12:23:34.321Z",
"currency": "USD",
"effective_date": "2022-03-18",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_bulk": true,
"last_updated_time": "2010-05-06T12:23:34.321Z",
"originating_account_number": 1961234745,
"receiving_account_number": 1961234745,
"sender_reference_id": "9F564A6124E65",
"status": "PENDING",
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bank_message": "<string>",
"batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"case_id": 53,
"customer_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"fed_input_message_accountability_data": "10220318BANK0001123456",
"input_message_accountability_data": "10220318BANK0001123456",
"network": "fedwire",
"originating_account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"receiving_account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"recipient_message": "<string>",
"return_data": {
"previous_message_id": "<string>",
"original_end_to_end_identification": "<string>",
"original_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"original_instruction_identification": "<string>",
"original_transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"original_transaction_identification": "<string>",
"original_uetr": "<string>",
"reason": "<string>",
"reason_code": "NARR"
},
"sanction_screening_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settlement_date": "2022-03-18",
"status_details": "PENDING_DUAL_APPROVAL",
"transaction_in_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Authorizations
Headers
An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.
Example:
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Path Parameters
Body
application/json
wire to update
Response
Updated wire
Was this page helpful?

